# frozen_string_literal: true

require 'gtk3'
require 'gtksourceview4'

# Main module
module Pickaxe
  # Pickaxe::ApplicationWindow < Gtk::ApplicationWindow
  class ApplicationWindow < Gtk::ApplicationWindow
    type_register

    class << self
      def init
        GtkSource::View.init

        # Set template from a Glade UI file
        ui_file_path = File.expand_path('ui/application_window.ui', __dir__)
        ui_data = File.read ui_file_path
        set_template data: ui_data
      end
    end

    def initialize(application)
      super application: application
    end
  end
end
